SuSE 11 / 11.1 Security Update : ghostscript (SAT Patch Numbers 2708 / 2709)

This script is Copyright (C) 2010-2013 Tenable Network Security, Inc.


Synopsis :

The remote SuSE 11 host is missing one or more security updates.

Description :

This update for ghostscript fixes the following security issues :

- Specially crafted postscript (.ps) files can cause
buffer overflows in ghostscript that could potentially
be exploited to execute arbitrary code. (CVE-2010-1869 /
CVE-2010-1628 / CVE-2009-4270)

- By default, ghostscript reads certain initialization
files from the current working directory. Local
attackers could potentially exploit this to have other
users execute arbitrary commands by placing such files,
e.g. in /tmp. (CVE-2010-2055)

See also :

https://bugzilla.novell.com/show_bug.cgi?id=559122
https://bugzilla.novell.com/show_bug.cgi?id=605043
https://bugzilla.novell.com/show_bug.cgi?id=608071
http://support.novell.com/security/cve/CVE-2009-4270.html
http://support.novell.com/security/cve/CVE-2009-4897.html
http://support.novell.com/security/cve/CVE-2010-1628.html
http://support.novell.com/security/cve/CVE-2010-1869.html
http://support.novell.com/security/cve/CVE-2010-2055.html

Solution :

Apply SAT patch number 2708 / 2709 as appropriate.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 50909 ()

Bugtraq ID:

CVE ID: CVE-2009-4270
CVE-2009-4897
CVE-2010-1628
CVE-2010-1869
CVE-2010-2055

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now